<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" encoding="windows-1250"/>
	<xsl:character-map name="moje-mapa">
		<!-- Pevn mezera se zape jako &nbsp; -->
		<xsl:output-character character="&#160;" string="&amp;nbsp;"/>
	</xsl:character-map> 
  
	<!-- Body -->
	<xsl:template match="/">
		<html>
			<head>
				<link href="st_protocol.css" rel="stylesheet"/>
			</head>
			<body>
				<xsl:apply-templates/>
			</body>
		</html>	
	</xsl:template>

	<xsl:template match="data">
		<table class="CharInfo">
			<TR>
				<TD><xsl:value-of select="@title"/></TD>
				<TD></TD>
			</TR>
			<tr>
				<td>DEC</td>
				<td>: <xsl:value-of select="@valueDEC"/></td>
			</tr>
			<tr>
				<td>HEX</td>
				<td>: <xsl:value-of select="@valueHEX"/></td>
			</tr>
			<tr>
				<td>BIN</td>
				<td>: <xsl:value-of select="@valueBIN"/></td>
			</tr>
		</table>
		<table class="PacketInfo">
			<tr>
				<td>Packet length</td>
				<td>: <xsl:value-of select="@length"/> B</td>
			</tr>
			<xsl:choose>
				<xsl:when test="@length_SDATA">
					<tr>
						<td>SDATA length</td>
						<td>: <xsl:value-of select="@length_SDATA"/> B</td>
					</tr>
				</xsl:when>
			</xsl:choose>
	</table>
	</xsl:template>

	<!-- Konverze INST elementu -->
	<xsl:template match="INST">
		<table class="INSTrect">
			<tr>
				<td class="INSTinst">INST:&#160;<xsl:value-of select="@value"/></td>
				<td class="INSTinsttext"><xsl:value-of select="message/@text"/></td>
			</tr>
			<tr>
				<td></td>
				<td class="INSTtitle">(<xsl:value-of select="../@description"/> - <xsl:value-of select="group/@text"/>)</td>
			</tr>
			<tr>
				<td></td>
				<td class="INSTdescription">
					<xsl:for-each select="description">
						<xsl:value-of select="@text"/>
						<br/>
					</xsl:for-each>
				</td>
			</tr>
		</table>
	</xsl:template>
<!--
			<div class="INSTcaption">
				<span class="INSTinst">INST: <xsl:value-of select="@value"/></span>
				<span class="INSTinsttext"><xsl:value-of select="message/@text"/></span>
			</div>
			<div class="INSTtitle">(<xsl:value-of select="../@description"/> - <xsl:value-of select="group/@text"/>)</div>
			<div class="INSTdescription">
				<xsl:for-each select="description">
					<div>
						<xsl:value-of select="@text"/>
					</div>
				</xsl:for-each>
			</div>
-->	
	
</xsl:stylesheet>
